Reports that a license session is no longer actively being used
POST
/api/v1/activations/{sessionId}/check-out
const url = 'https://api.monetizeit.example/api/v1/activations/example/check-out';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.monetizeit.example/api/v1/activations/example/check-outThis endpoint is used to report that a license session has become inactive. Check-outs help manage floating license pools and usage analytics. Should be called when licensed software is closed or becomes idle.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sessionId
required
string format: uuid
The unique identifier of the license session
Responses
Section titled “ Responses ”Check-out recorded successfully
Media type application/json
User not authorized to check out this session
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Session not found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}